"use client";

import { SessionProvider } from "next-auth/react";

interface Props {
  children: React.ReactNode;
  session: any;
}

const SessionAuthProvider = ({ children, session }: Props) => {
  return( 
    <SessionProvider session={session} basePath={`${process.env.ASSET_PREFIX}/api/auth`}>
      {children}
    </SessionProvider>
  );
};
export default SessionAuthProvider;
